/*
  1. Use a more-intuitive box-sizing model.
*/
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Source+Serif+4:ital,opsz,wght@0,8..60,200..900;1,8..60,200..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Source+Serif+4:ital,opsz,wght@0,8..60,200..900;1,8..60,200..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Source+Serif+4:ital,opsz,wght@0,8..60,200..900;1,8..60,200..900&display=swap");
*,
*::before,
*::after {
  box-sizing: border-box;
}

/*
  2. Remove default margin
*/
* {
  margin: 0;
}

/*
  Typographic tweaks!
  3. Add accessible line-height
  4. Improve text rendering
*/
body {
  line-height: 1.5;
  line-height: calc(1em + 0.5rem);
  -webkit-font-smoothing: antialiased;
}

/*
  5. Improve media defaults
*/
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

/*
  6. Remove built-in form typography styles
*/
input,
button,
textarea,
select {
  font: inherit;
}

/*
  7. Avoid text overflows
*/
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

/*
  8. Create a root stacking context
*/
#root,
#__next {
  isolation: isolate;
}

:root {
  --radius: 0.1rem;
  --primary-color: #ffffff;
  --secondary-color: rgb(34, 34, 34);
  --secondary-color-faded: rgba(34, 34, 34, 0.25);
  --highlight-color: hsla(214, 86%, 94%, 100%);
  --difference-color: rgba(90, 108, 118, 0.33);
  --difference-color-ring: #657159;
  --highlight-color: rgb(218, 233, 255);
  --highlight-hover: rgba(255, 255, 255, 0.5);
  --primary-text-color: #152f56;
  --primary-text-hover: rgb(18, 89, 134);
  --body: rgb(241, 241, 241);
  --body-transparent: rgba(241, 241, 241, 0.82);
  --separator: rgb(214, 214, 214);
  --grey-100: hsl(210, 14%, 95%);
  --grey-200: hsl(210, 14%, 87%);
  --grey-300: hsl(210, 14%, 80%);
  --grey-400: hsl(210, 13%, 65%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 8%, 45%);
  --grey-900: hsl(210, 14%, 87%);
  --svg-dark: rgb(34, 34, 34);
  --svg-light: rgb(131, 136, 142);
  --svg-body: rgb(241, 241, 241);
  --color-pink: #edadd2;
}

.dark-theme {
  --primary-color: #111111;
  --secondary-color: rgb(241, 241, 241);
  --secondary-color-faded: rgba(224, 224, 224, 0.25);
  --difference-color: rgba(174, 179, 183, 0.353);
  --difference-color-ring: rgb(18, 89, 134);
  --highlight-color: rgb(3, 27, 60);
  --highlight-hover: rgba(0, 0, 0, 0.2);
  --primary-text-color: #92a1a9;
  --primary-text-hover: #3786b7;
  --body: rgb(34, 34, 34);
  --body-transparent: rgba(34, 34, 34, 0.82);
  --separator: rgb(55, 55, 55);
  --grey-100: hsl(0, 0%, 5%);
  --grey-200: hsl(210, 3%, 16%);
  --grey-300: hsl(216, 5%, 20%);
  --grey-400: hsl(210, 7%, 44%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 10%, 58%);
  --grey-900: rgb(245, 245, 245);
  --svg-dark: rgb(241, 241, 241);
  --svg-light: rgb(161, 165, 173);
  --svg-body: rgb(34, 34, 34);
  --color-pink: #5e3f51;
}

:root {
  --radius: 0.1rem;
  --primary-color: #ffffff;
  --secondary-color: rgb(34, 34, 34);
  --secondary-color-faded: rgba(34, 34, 34, 0.25);
  --highlight-color: hsla(214, 86%, 94%, 100%);
  --difference-color: rgba(90, 108, 118, 0.33);
  --difference-color-ring: #657159;
  --highlight-color: rgb(218, 233, 255);
  --highlight-hover: rgba(255, 255, 255, 0.5);
  --primary-text-color: #152f56;
  --primary-text-hover: rgb(18, 89, 134);
  --body: rgb(241, 241, 241);
  --body-transparent: rgba(241, 241, 241, 0.82);
  --separator: rgb(214, 214, 214);
  --grey-100: hsl(210, 14%, 95%);
  --grey-200: hsl(210, 14%, 87%);
  --grey-300: hsl(210, 14%, 80%);
  --grey-400: hsl(210, 13%, 65%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 8%, 45%);
  --grey-900: hsl(210, 14%, 87%);
  --svg-dark: rgb(34, 34, 34);
  --svg-light: rgb(131, 136, 142);
  --svg-body: rgb(241, 241, 241);
  --color-pink: #edadd2;
}

.dark-theme {
  --primary-color: #111111;
  --secondary-color: rgb(241, 241, 241);
  --secondary-color-faded: rgba(224, 224, 224, 0.25);
  --difference-color: rgba(174, 179, 183, 0.353);
  --difference-color-ring: rgb(18, 89, 134);
  --highlight-color: rgb(3, 27, 60);
  --highlight-hover: rgba(0, 0, 0, 0.2);
  --primary-text-color: #92a1a9;
  --primary-text-hover: #3786b7;
  --body: rgb(34, 34, 34);
  --body-transparent: rgba(34, 34, 34, 0.82);
  --separator: rgb(55, 55, 55);
  --grey-100: hsl(0, 0%, 5%);
  --grey-200: hsl(210, 3%, 16%);
  --grey-300: hsl(216, 5%, 20%);
  --grey-400: hsl(210, 7%, 44%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 10%, 58%);
  --grey-900: rgb(245, 245, 245);
  --svg-dark: rgb(241, 241, 241);
  --svg-light: rgb(161, 165, 173);
  --svg-body: rgb(34, 34, 34);
  --color-pink: #5e3f51;
}

@font-face {
  font-family: "NyghtSerif-Regular";
  src: url("../fonts/NyghtSerif-Regular.woff2") format("woff2"), url("../fonts/NyghtSerif-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "NyghtSerif-Medium";
  src: url("../fonts/NyghtSerif-Medium.woff2") format("woff2"), url("../fonts/NyghtSerif-Medium.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
body {
  font-family: "NyghtSerif-Regular", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  color: var(--primary-text-color);
}

h1 {
  color: var(--primary-text-color);
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(3.5rem, 5vh, 8rem);
  line-height: 0.9;
}

h2 {
  color: var(--primary-text-color);
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(2.25rem, 4.5vw, 6rem);
  line-height: 1.2;
  margin-bottom: 1rem;
}
h2 span {
  font-style: italic;
  color: var(--difference-color-ring);
}
@media (min-width: 800px) {
  h2 {
    line-height: 1;
    font-size: clamp(1.75rem, 4.5vw, 6rem);
  }
}

h3 {
  color: var(--primary-text-color);
  font-size: 2rem;
  font-weight: 250;
  line-height: 1.75;
  margin-bottom: 1.2rem;
}
h3 a {
  transition: transform 0.25s ease;
  text-decoration: none;
  color: var(--primary-text-color);
}
h3 a:hover {
  color: var(--primary-text-hover);
  text-decoration: none;
}

.link a {
  display: inline-block;
  margin-block: 2px;
  text-decoration: none;
  color: var(--primary-text-color);
  position: relative;
  /* hover underline animation */
  background-image: linear-gradient(transparent 0%, transparent 97%, var(--primary-text-hover) 97%, var(--primary-text-hover) 100%);
  background-repeat: no-repeat;
  background-size: 0% 100%;
  background-position-x: right;
  transition: background-size 300ms;
  /* end hover underline animation */
}
.link a:hover {
  background-size: 100% 100%;
  background-position-x: left;
}

h4 {
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  letter-spacing: 0px;
  font-size: clamp(2rem, 3.75vw, 4rem);
  line-height: 1.1;
  position: relative;
  padding-bottom: 1rem;
}
h4 span {
  font-style: italic;
  color: var(--difference-color-ring);
}
h4 a {
  text-decoration: none;
  color: var(--secondary-color);
}

h5 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: clamp(1.5rem, 2vw, 3rem);
  letter-spacing: 0.5px;
  line-height: 1.66;
}

h6 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: clamp(1.25rem, 1.25vw, 3rem);
  letter-spacing: 0.5px;
  line-height: 1.66;
}

p {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: 1rem;
  letter-spacing: 0.25px;
}
p a {
  color: var(--primary-text-color);
  font-weight: 300;
  text-decoration: underline;
  -webkit-text-decoration-skip: objects;
          text-decoration-skip: objects;
}

.work p,
.work span {
  font-size: 1.25rem;
  font-weight: 250;
  letter-spacing: 0.5px;
}

:root {
  --radius: 0.1rem;
  --primary-color: #ffffff;
  --secondary-color: rgb(34, 34, 34);
  --secondary-color-faded: rgba(34, 34, 34, 0.25);
  --highlight-color: hsla(214, 86%, 94%, 100%);
  --difference-color: rgba(90, 108, 118, 0.33);
  --difference-color-ring: #657159;
  --highlight-color: rgb(218, 233, 255);
  --highlight-hover: rgba(255, 255, 255, 0.5);
  --primary-text-color: #152f56;
  --primary-text-hover: rgb(18, 89, 134);
  --body: rgb(241, 241, 241);
  --body-transparent: rgba(241, 241, 241, 0.82);
  --separator: rgb(214, 214, 214);
  --grey-100: hsl(210, 14%, 95%);
  --grey-200: hsl(210, 14%, 87%);
  --grey-300: hsl(210, 14%, 80%);
  --grey-400: hsl(210, 13%, 65%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 8%, 45%);
  --grey-900: hsl(210, 14%, 87%);
  --svg-dark: rgb(34, 34, 34);
  --svg-light: rgb(131, 136, 142);
  --svg-body: rgb(241, 241, 241);
  --color-pink: #edadd2;
}

.dark-theme {
  --primary-color: #111111;
  --secondary-color: rgb(241, 241, 241);
  --secondary-color-faded: rgba(224, 224, 224, 0.25);
  --difference-color: rgba(174, 179, 183, 0.353);
  --difference-color-ring: rgb(18, 89, 134);
  --highlight-color: rgb(3, 27, 60);
  --highlight-hover: rgba(0, 0, 0, 0.2);
  --primary-text-color: #92a1a9;
  --primary-text-hover: #3786b7;
  --body: rgb(34, 34, 34);
  --body-transparent: rgba(34, 34, 34, 0.82);
  --separator: rgb(55, 55, 55);
  --grey-100: hsl(0, 0%, 5%);
  --grey-200: hsl(210, 3%, 16%);
  --grey-300: hsl(216, 5%, 20%);
  --grey-400: hsl(210, 7%, 44%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 10%, 58%);
  --grey-900: rgb(245, 245, 245);
  --svg-dark: rgb(241, 241, 241);
  --svg-light: rgb(161, 165, 173);
  --svg-body: rgb(34, 34, 34);
  --color-pink: #5e3f51;
}

@font-face {
  font-family: "NyghtSerif-Regular";
  src: url("../fonts/NyghtSerif-Regular.woff2") format("woff2"), url("../fonts/NyghtSerif-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "NyghtSerif-Medium";
  src: url("../fonts/NyghtSerif-Medium.woff2") format("woff2"), url("../fonts/NyghtSerif-Medium.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
body {
  font-family: "NyghtSerif-Regular", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  color: var(--primary-text-color);
}

h1 {
  color: var(--primary-text-color);
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(3.5rem, 5vh, 8rem);
  line-height: 0.9;
}

h2 {
  color: var(--primary-text-color);
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(2.25rem, 4.5vw, 6rem);
  line-height: 1.2;
  margin-bottom: 1rem;
}
h2 span {
  font-style: italic;
  color: var(--difference-color-ring);
}
@media (min-width: 800px) {
  h2 {
    line-height: 1;
    font-size: clamp(1.75rem, 4.5vw, 6rem);
  }
}

h3 {
  color: var(--primary-text-color);
  font-size: 2rem;
  font-weight: 250;
  line-height: 1.75;
  margin-bottom: 1.2rem;
}
h3 a {
  transition: transform 0.25s ease;
  text-decoration: none;
  color: var(--primary-text-color);
}
h3 a:hover {
  color: var(--primary-text-hover);
  text-decoration: none;
}

.link a {
  display: inline-block;
  margin-block: 2px;
  text-decoration: none;
  color: var(--primary-text-color);
  position: relative;
  /* hover underline animation */
  background-image: linear-gradient(transparent 0%, transparent 97%, var(--primary-text-hover) 97%, var(--primary-text-hover) 100%);
  background-repeat: no-repeat;
  background-size: 0% 100%;
  background-position-x: right;
  transition: background-size 300ms;
  /* end hover underline animation */
}
.link a:hover {
  background-size: 100% 100%;
  background-position-x: left;
}

h4 {
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  letter-spacing: 0px;
  font-size: clamp(2rem, 3.75vw, 4rem);
  line-height: 1.1;
  position: relative;
  padding-bottom: 1rem;
}
h4 span {
  font-style: italic;
  color: var(--difference-color-ring);
}
h4 a {
  text-decoration: none;
  color: var(--secondary-color);
}

h5 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: clamp(1.5rem, 2vw, 3rem);
  letter-spacing: 0.5px;
  line-height: 1.66;
}

h6 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: clamp(1.25rem, 1.25vw, 3rem);
  letter-spacing: 0.5px;
  line-height: 1.66;
}

p {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: 1rem;
  letter-spacing: 0.25px;
}
p a {
  color: var(--primary-text-color);
  font-weight: 300;
  text-decoration: underline;
  -webkit-text-decoration-skip: objects;
          text-decoration-skip: objects;
}

.work p,
.work span {
  font-size: 1.25rem;
  font-weight: 250;
  letter-spacing: 0.5px;
}

.revealContainer {
  background-color: var(--body);
}
.revealContainer img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transform-origin: top center;
  border-radius: var(--radius);
}
.revealContainer .reveal-left,
.revealContainer .reveal-right {
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: var(--radius);
  overflow: hidden;
  visibility: hidden;
}

/* Text reveal  */
#smooth-content {
  will-change: transform;
}

.split {
  margin: auto;
}

.mask {
  width: 100%;
  height: 115%;
  position: absolute;
  background: #ffffff;
  left: 0;
  top: 0;
  opacity: 0.78;
}

:root {
  --radius: 0.1rem;
  --primary-color: #ffffff;
  --secondary-color: rgb(34, 34, 34);
  --secondary-color-faded: rgba(34, 34, 34, 0.25);
  --highlight-color: hsla(214, 86%, 94%, 100%);
  --difference-color: rgba(90, 108, 118, 0.33);
  --difference-color-ring: #657159;
  --highlight-color: rgb(218, 233, 255);
  --highlight-hover: rgba(255, 255, 255, 0.5);
  --primary-text-color: #152f56;
  --primary-text-hover: rgb(18, 89, 134);
  --body: rgb(241, 241, 241);
  --body-transparent: rgba(241, 241, 241, 0.82);
  --separator: rgb(214, 214, 214);
  --grey-100: hsl(210, 14%, 95%);
  --grey-200: hsl(210, 14%, 87%);
  --grey-300: hsl(210, 14%, 80%);
  --grey-400: hsl(210, 13%, 65%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 8%, 45%);
  --grey-900: hsl(210, 14%, 87%);
  --svg-dark: rgb(34, 34, 34);
  --svg-light: rgb(131, 136, 142);
  --svg-body: rgb(241, 241, 241);
  --color-pink: #edadd2;
}

.dark-theme {
  --primary-color: #111111;
  --secondary-color: rgb(241, 241, 241);
  --secondary-color-faded: rgba(224, 224, 224, 0.25);
  --difference-color: rgba(174, 179, 183, 0.353);
  --difference-color-ring: rgb(18, 89, 134);
  --highlight-color: rgb(3, 27, 60);
  --highlight-hover: rgba(0, 0, 0, 0.2);
  --primary-text-color: #92a1a9;
  --primary-text-hover: #3786b7;
  --body: rgb(34, 34, 34);
  --body-transparent: rgba(34, 34, 34, 0.82);
  --separator: rgb(55, 55, 55);
  --grey-100: hsl(0, 0%, 5%);
  --grey-200: hsl(210, 3%, 16%);
  --grey-300: hsl(216, 5%, 20%);
  --grey-400: hsl(210, 7%, 44%);
  --grey-500: hsl(211, 10%, 55%);
  --grey-600: hsl(210, 10%, 58%);
  --grey-900: rgb(245, 245, 245);
  --svg-dark: rgb(241, 241, 241);
  --svg-light: rgb(161, 165, 173);
  --svg-body: rgb(34, 34, 34);
  --color-pink: #5e3f51;
}

@font-face {
  font-family: "NyghtSerif-Regular";
  src: url("../fonts/NyghtSerif-Regular.woff2") format("woff2"), url("../fonts/NyghtSerif-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "NyghtSerif-Medium";
  src: url("../fonts/NyghtSerif-Medium.woff2") format("woff2"), url("../fonts/NyghtSerif-Medium.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
body {
  font-family: "NyghtSerif-Regular", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  color: var(--primary-text-color);
}

h1 {
  color: var(--primary-text-color);
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(3.5rem, 5vh, 8rem);
  line-height: 0.9;
}

h2 {
  color: var(--primary-text-color);
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(2.25rem, 4.5vw, 6rem);
  line-height: 1.2;
  margin-bottom: 1rem;
}
h2 span {
  font-style: italic;
  color: var(--difference-color-ring);
}
@media (min-width: 800px) {
  h2 {
    line-height: 1;
    font-size: clamp(1.75rem, 4.5vw, 6rem);
  }
}

h3 {
  color: var(--primary-text-color);
  font-size: 2rem;
  font-weight: 250;
  line-height: 1.75;
  margin-bottom: 1.2rem;
}
h3 a {
  transition: transform 0.25s ease;
  text-decoration: none;
  color: var(--primary-text-color);
}
h3 a:hover {
  color: var(--primary-text-hover);
  text-decoration: none;
}

.link a {
  display: inline-block;
  margin-block: 2px;
  text-decoration: none;
  color: var(--primary-text-color);
  position: relative;
  /* hover underline animation */
  background-image: linear-gradient(transparent 0%, transparent 97%, var(--primary-text-hover) 97%, var(--primary-text-hover) 100%);
  background-repeat: no-repeat;
  background-size: 0% 100%;
  background-position-x: right;
  transition: background-size 300ms;
  /* end hover underline animation */
}
.link a:hover {
  background-size: 100% 100%;
  background-position-x: left;
}

h4 {
  font-family: "NyghtSerif-Medium", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  letter-spacing: 0px;
  font-size: clamp(2rem, 3.75vw, 4rem);
  line-height: 1.1;
  position: relative;
  padding-bottom: 1rem;
}
h4 span {
  font-style: italic;
  color: var(--difference-color-ring);
}
h4 a {
  text-decoration: none;
  color: var(--secondary-color);
}

h5 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: clamp(1.5rem, 2vw, 3rem);
  letter-spacing: 0.5px;
  line-height: 1.66;
}

h6 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: clamp(1.25rem, 1.25vw, 3rem);
  letter-spacing: 0.5px;
  line-height: 1.66;
}

p {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: 1rem;
  letter-spacing: 0.25px;
}
p a {
  color: var(--primary-text-color);
  font-weight: 300;
  text-decoration: underline;
  -webkit-text-decoration-skip: objects;
          text-decoration-skip: objects;
}

.work p,
.work span {
  font-size: 1.25rem;
  font-weight: 250;
  letter-spacing: 0.5px;
}

.contact {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: stretch;
  align-content: stretch;
}
@media (min-width: 800px) {
  .contact {
    flex-direction: row;
  }
}

.contact-bg {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.15)), url(../images/home-hero-3.webp);
  background-position: center;
  background-size: cover;
  order: 1;
  width: 100%;
  position: relative;
  min-height: 28vh;
}
@media (min-width: 800px) {
  .contact-bg {
    height: auto;
  }
}
.contact-bg .logo {
  position: relative;
  overflow: hidden;
  left: 4vw;
  top: 4vw;
  width: -moz-fit-content;
  width: fit-content;
  height: -moz-fit-content;
  height: fit-content;
  align-self: flex-start; /* <-- this is the fix */
}
@media (min-width: 800px) {
  .contact-bg .logo {
    position: fixed;
  }
}
.contact-bg .logo a {
  display: block;
}
.contact-bg .logo img {
  max-width: 30vw;
  min-width: 88px;
}
@media (min-width: 800px) {
  .contact-bg .logo img {
    max-width: 175px;
  }
}

.contact-form {
  display: flex;
  justify-content: center;
  align-items: center;
  order: 2;
  width: 100%;
  min-height: 72vh;
  background-color: var(--primary-color);
}
@media (min-width: 800px) {
  .contact-form {
    min-height: 100vh;
  }
}
.contact-form .thankyou {
  display: flex;
  justify-content: start;
  align-items: start;
  flex-direction: column;
  gap: 2rem;
}
.contact-form .button {
  width: 100%;
}

.form-container * {
  box-sizing: border-box;
  /* colors */
  --color-blue: #2552d0;
  --color-light-blue: #3266e3;
}

.form-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  /* container */
  --c-width: 100%;
  --c-max-width: 500px;
  width: calc(100% - 4rem);
  max-width: var(--c-max-width);
  padding: 0 0rem;
  margin: 2rem auto;
}
@media (min-width: 800px) {
  .form-container {
    margin: 10vh auto;
    padding: 0 4rem;
    width: calc(100% - 8rem);
  }
}
.form-container .form-form,
.form-container #my-nice-form {
  display: flex;
  flex-direction: column;
  width: 100%;
}
.form-container .form-form .buttons,
.form-container #my-nice-form .buttons {
  align-self: end;
  width: 100%;
}
@media (min-width: 800px) {
  .form-container .form-form .buttons,
  .form-container #my-nice-form .buttons {
    width: auto;
  }
}
.form-container .form-form .button,
.form-container #my-nice-form .button {
  margin-top: 2rem;
  align-self: auto;
  width: 100%;
}
@media (min-width: 800px) {
  .form-container .form-form .button,
  .form-container #my-nice-form .button {
    align-self: flex-end;
    width: auto;
  }
}
.form-container .line {
  overflow: hidden;
}
.form-container .line h1 {
  line-height: 1.2;
}

.form-form label {
  display: block;
  padding: 1.5rem 0 0.2rem 0;
  cursor: pointer;
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: 1.1rem;
  letter-spacing: 0.5px;
  line-height: 1.75;
}

.form-form input,
.form-form textarea {
  display: block;
  width: 100%;
  padding: 1rem;
  background-color: var(--grey-100);
  border: none;
  border: 2px solid var(--grey-200);
  outline: none;
  border-radius: 0.33rem;
  color: var(--grey-600);
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 1.1rem;
  letter-spacing: 0.5px;
  line-height: 1.75;
}

.form-form input:focus,
.form-form textarea:focus {
  background-color: var(--primary-color);
  color: var(--primary-text-color);
}

.form-form input:focus:required:invalid {
  border-color: var(--color-pink);
  background-color: var(--primary-color);
}

.form-spacer {
  margin-bottom: 2rem;
}

.form-alert {
  padding: 12px;
  border-radius: 10px;
  color: var(--primary-color);
  font-size: 14px;
  font-weight: 400;
  margin-top: 12px;
  display: none;
}

.form-alert.visible {
  display: block;
}

.form-alert.success {
  background: #69cf9d;
}

.form-alert.error {
  background: #de524c;
}

html,
body {
  box-sizing: border-box;
  min-height: 100vh;
  min-height: -webkit-fill-available;
}

html {
  height: -webkit-fill-available;
}

.grid {
  display: grid;
  grid-template-columns: [full-start] minmax(2rem, 1fr) [wide-start] minmax(5vw, 40px) [normal-start] minmax(auto, 1440px) [normal-end] minmax(5vw, 40px) [wide-end] minmax(2rem, 1fr) [full-end];
  grid-auto-rows: auto;
}
@media (min-width: 800px) {
  .grid {
    grid-template-columns: [full-start] minmax(4rem, 1fr) [wide-start] minmax(5vw, 40px) [normal-start] minmax(auto, 1440px) [normal-end] minmax(5vw, 40px) [wide-end] minmax(4rem, 1fr) [full-end];
  }
}
.grid.empty {
  min-height: 100dvh;
}

section {
  width: 100%;
  margin: auto;
  padding: 10vh 0 0;
  grid-column: full;
  background-color: #fff;
}
section.normal {
  grid-column: normal;
}
section.wide {
  grid-column: wide;
}
section.grid-gallery {
  grid-column: wide;
  display: grid;
  grid-template-columns: [main-start] repeat(10, 1fr) [main-end];
  grid-auto-rows: auto;
  row-gap: 2vw;
  -moz-column-gap: 2vw;
       column-gap: 2vw;
  overflow: hidden;
  width: auto;
  padding: 5vh 0 0;
}
@media (min-width: 800px) {
  section.grid-gallery {
    padding: 10vh 0 0;
  }
}
section.grid-gallery .revealContainer p {
  margin: 0.25rem 0 1.75rem;
}
section.grid-gallery .block-1 {
  position: relative;
  grid-column: main-start/6;
  grid-row: 1/4;
}
section.grid-gallery .block-2 {
  position: relative;
  grid-column: 6/main-end;
  grid-row: 1/4;
}
section.grid-gallery .block-3 {
  position: relative;
  grid-column: main;
  grid-row: 4/7;
  aspect-ratio: 4/3;
}
@media (min-width: 800px) {
  section.grid-gallery .block-3 {
    aspect-ratio: 2/1;
  }
}
section.grid-gallery .block-4 {
  position: relative;
  grid-column: main;
  grid-row: auto;
  aspect-ratio: 4/3;
}
@media (min-width: 800px) {
  section.grid-gallery .block-4 {
    grid-column: main-start/8;
    grid-row: 7/10;
    aspect-ratio: auto;
  }
}
section.grid-gallery .block-5 {
  position: relative;
  grid-column: main;
  grid-row: auto;
  background-color: transparent;
  align-self: end;
}
@media (min-width: 800px) {
  section.grid-gallery .block-5 {
    grid-column: 8/main-end;
    grid-row: 7/10;
  }
}
section.grid-gallery .block-5 .button {
  width: 100%;
}
section.grid-gallery .block-6 {
  position: relative;
  grid-column: main-start/6;
  grid-row: 10/13;
}
section.grid-gallery .block-7 {
  position: relative;
  grid-column: 6/main-end;
  grid-row: 10/13;
}
section.grid-gallery .block-title {
  position: absolute;
  z-index: 2;
  bottom: 1.2rem;
  left: 2rem;
  color: var(--primary-color);
}
section:last-of-type {
  padding-bottom: 10vh;
}
section.home {
  height: 100vh;
  position: relative;
  z-index: -1;
  padding: 0;
}
@media (min-width: 800px) {
  section.home {
    padding: 0;
    margin: 0 auto;
  }
}
section.home .hero-mask {
  grid-column: full;
  grid-row: 1;
  margin: 0rem;
  -webkit-clip-path: inset(0% 100% 0% 100%);
          clip-path: inset(0% 100% 0% 100%);
}
@media (min-width: 800px) {
  section.home .hero-mask {
    margin: 4rem;
  }
}
section.home .hero-mask .hero {
  position: relative;
  background-image: url(../images/home-hero-3.webp);
  height: 100vh;
  margin-top: 0rem;
  background-position: center center;
  background-size: cover;
  z-index: -1;
}
@media (min-width: 800px) {
  section.home .hero-mask .hero {
    height: calc(100vh - 8rem);
  }
}
section.home .title-hero {
  z-index: 1;
  margin: 2rem 0 0 2rem;
  grid-column: full;
  grid-row: 1;
}
section.home .title-hero h1 {
  color: var(--primary-color);
}
@media (min-width: 800px) {
  section.home .title-hero {
    margin: 8rem 0 0 8rem;
  }
}
section.intro .intro-text {
  padding: 5vh 0;
  grid-column: wide;
}
@media (min-width: 800px) {
  section.intro .intro-text {
    padding: 7.5vh 0 2.5vh;
    grid-column: normal;
    margin: 0;
  }
}
section.image-parallax {
  /* gallery */
}
section.image-parallax .image-container {
  position: relative;
  overflow: hidden;
  grid-column: wide;
}
section.image-parallax .image-container.image-intro {
  height: 50vh;
  border-radius: 0.2rem;
}
@media (min-width: 800px) {
  section.image-parallax .image-container.image-intro {
    height: 50vh;
  }
}
section.image-parallax .image-container.image-gallery {
  height: 100%;
}
section.image-parallax .image-container img {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 170%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
  padding: 0;
}
section .slide-in {
  opacity: 0;
}
section.content {
  grid-column: wide;
}
@media (min-width: 800px) {
  section.content {
    grid-column: normal;
  }
}
section.content .container {
  display: grid;
  grid-template-columns: [main-start] repeat(10, 1fr) [main-end];
  align-items: baseline;
}
section.content .container:not(:first-of-type) {
  margin-top: 5vh;
}
section.content .container .sticky_text {
  grid-column: main;
  position: relative;
  top: 0;
  padding: 0 0 5vh 0;
  align-self: start;
  background: var(--primary-color);
}
@media (min-width: 800px) {
  section.content .container .sticky_text {
    grid-column: 1/4;
    position: sticky;
    padding: 5vh 0 0;
  }
}
section.content .container .images {
  grid-column: main;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
  grid-gap: 5vh;
}
@media (min-width: 800px) {
  section.content .container .images {
    grid-column: 5/11;
    padding: 5vh 0 0;
  }
}
section.content .container.left {
  align-self: flex-start;
}
section.content .container.center {
  justify-content: center;
}
section.content .container h4 {
  margin-right: 2rem;
}
section.content .container p {
  margin-top: 0;
}
@media (min-width: 800px) {
  section.content .container p {
    margin-top: 0.75rem;
  }
}
section.titlePad {
  padding-bottom: 0;
}

.line {
  overflow: hidden;
  position: relative;
  grid-column: full;
}

.logo {
  position: absolute;
  overflow: hidden;
  right: 2rem;
  bottom: 2rem;
}
.logo img {
  max-width: 30vw;
  min-width: 88px;
}
@media (min-width: 800px) {
  .logo img {
    max-width: 175px;
  }
}
@media (min-width: 800px) {
  .logo {
    right: 8rem;
    bottom: 6rem;
  }
}

.appear {
  animation: appear 500ms both;
  animation-delay: calc(var(--animation-order) * 175ms);
}

.fadeIn {
  animation: fadeIn 500ms both;
  animation-delay: calc(var(--animation-order) * 175ms);
}

.maskIn {
  animation: maskIn 500ms both;
  animation-delay: calc(var(--animation-order) * 175ms);
}

@keyframes appear {
  0% {
    transform: translateY(105%);
  }
  100% {
    transform: translateY(0%);
  }
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes maskIn {
  0% {
    width: 0;
    transform: translate(50%, 0%);
  }
  100% {
    width: 100%;
    transform: translate(0, 0);
  }
}
.megaTitle {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  border: none;
  background-color: var(--primary-text-color);
  padding: 0;
  margin: 5vh 0 0;
}
@media (min-width: 800px) {
  .megaTitle {
    margin: 10vh 0 0;
    border: solid 5vw var(--primary-color);
  }
}
.megaTitle ul {
  margin: 0;
  padding: 0;
}
.megaTitle li {
  overflow: hidden;
  text-align: center;
  align-items: center;
}
.megaTitle li .word {
  color: var(--primary-color);
  transform: translateY(105%);
}
.megaTitle li:nth-child(3) {
  margin-bottom: 2rem;
}
.megaTitle li h2 {
  font-size: clamp(5.25rem, 10vw, 8.5rem);
  line-height: 1.1;
  margin-bottom: 0;
}

footer {
  grid-column: full;
  background-color: var(--primary-color);
  color: var(--primary-text-color);
  padding: 10vh 10vw;
  margin-bottom: 4rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: end;
}
footer .logo-footer {
  max-width: 10vw;
  min-width: 88px;
  align-self: auto;
  padding-bottom: 5px;
}
.button {
  cursor: pointer;
  display: inline-block;
  color: var(--primary-color);
  text-decoration: none;
  border: none;
  border-radius: 0.2rem;
  background-color: var(--primary-text-color);
  padding: 1.2rem 1.5rem;
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: 1.1rem;
  letter-spacing: 0.5px;
  line-height: 1.75;
  transition: all 0.2s;
  text-align: center;
}
.button:hover {
  background-color: var(--primary-text-hover);
}
.button.sticky {
  width: 100%;
  grid-column: main;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 1.5rem 1.5rem;
  margin-top: 1.125rem;
  background-color: var(--primary-color);
  border: solid 1px var(--grey-200);
  color: var(--primary-text-color);
}
@media (min-width: 800px) {
  .button.sticky {
    padding: 1.25rem 1.25rem;
    align-items: center;
  }
}
.button.sticky svg {
  width: 32px;
}
.button.sticky p {
  margin: 0 0 0rem 0 !important;
}
@media (min-width: 800px) {
  .button.sticky p {
    margin: 0 0 0 0 !important;
  }
}
.button.sticky:hover {
  background-color: var(--difference-color-ring);
  border: solid 1px var(--difference-color-ring);
  color: var(--primary-color);
}
.button.sticky:hover .icon-arrow-right {
  stroke: var(--primary-color);
  stroke-width: 1.5;
}
.button.sticky .icon-arrow-right {
  stroke: var(--primary-text-color);
  stroke-width: 1.5;
}
.button.secondary {
  width: 100%;
  grid-column: main;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  padding: 1.5rem 1.5rem;
  background-color: var(--primary-text-color);
  border: solid 1px var(--body-transparent);
  color: var(--primary-color);
}
@media (min-width: 800px) {
  .button.secondary {
    flex-direction: row;
    padding: 2.5rem 2.5rem;
    align-items: center;
  }
}
.button.secondary p {
  margin: 0 0 1rem 0 !important;
}
@media (min-width: 800px) {
  .button.secondary p {
    margin: 0 0 0 0 !important;
  }
}
.button.secondary:hover {
  background-color: var(--difference-color-ring);
  border: solid 1px var(--difference-color-ring);
  color: var(--primary-color);
  padding: 1.5rem 1.5rem;
}
@media (min-width: 800px) {
  .button.secondary:hover {
    margin: 0 0 0 0 !important;
    padding: 2.5rem 3.5rem;
  }
}
.button.secondary .icon-arrow-right {
  stroke: var(--primary-color);
  stroke-width: 1.5;
}

@keyframes dash {
  from {
    stroke-dashoffset: 60;
  }
  to {
    stroke-dashoffset: 0;
  }
}
.form-feedback {
  display: flex;
  flex-direction: column;
  width: 80%;
  margin: 10vh auto;
}

/* Carousel */
.carousel {
  display: flex;
  width: 100%;
  grid-column: full;
  display: grid;
  grid-template-columns: [main-start] repeat(10, 1fr) [main-end];
  grid-auto-rows: auto;
  padding: 10vh 0 0;
  overflow: hidden;
}
@media (min-width: 800px) {
  .carousel {
    padding: 15vh 0 0;
  }
}
.carousel .content {
  z-index: 2;
  grid-row: 2;
  grid-column: 2/10;
  top: 0vh;
  left: 0vw;
  position: relative;
  padding: 10vh 0 0;
}
.carousel .content h4 {
  font-size: clamp(2.5rem, 5.35vw, 10rem);
  padding-bottom: 2rem;
}
@media (min-width: 800px) {
  .carousel .content {
    grid-row: 1;
    grid-column: 6/9;
    padding: 0vh 0 0;
    top: -5vh;
    left: 5vw;
  }
}

.carousel_list {
  grid-column: main;
  grid-row: 1;
  --marquee-item-width: 60vw;
  --marquee-item-height: 25vh;
  --marquee-duration: 45s;
  --marquee-items: 6;
  display: flex;
  block-size: var(--marquee-item-height);
  margin-block: var(--marquee-item-height);
  position: relative;
  overflow-x: hidden;
  margin: 0;
  width: 100%;
}
@media (min-width: 800px) {
  .carousel_list {
    --marquee-item-width: 45vw;
    --marquee-item-height: 45vh;
  }
}

.carousel_item img {
  --marquee-item-offset: max(
    calc((var(--marquee-item-width) - 2%) * var(--marquee-items)),
    calc(100% + var(--marquee-item-width))
  );
  --marquee-delay: calc(
    var(--marquee-duration) / var(--marquee-items) *
      (var(--marquee-items) - var(--marquee-item-index)) * -1
  );
  position: absolute;
  inset-inline-start: var(--marquee-item-offset);
  transform: translateX(-50%);
  animation: go linear var(--marquee-duration) var(--marquee-delay, 0s) infinite;
  width: var(--marquee-item-width);
  height: var(--marquee-item-height);
  background: #ccc;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: 50% 50%;
     object-position: 50% 50%;
  will-change: transform;
}

.carousel_item:nth-child(4n) {
  border-top-right-radius: 1rem;
}

.carousel_item:nth-child(4n+1) {
  border-bottom-right-radius: 1rem;
}

.carousel_item:nth-child(4n+2) {
  border-bottom-left-radius: 1rem;
}

.carousel_item:nth-child(4n+3) {
  border-top-left-radius: 1rem;
}

.carousel_list .carousel_item:nth-of-type(1) img {
  --marquee-item-index: 1;
}

.carousel_list .carousel_item:nth-of-type(2) img {
  --marquee-item-index: 2;
}

.carousel_list .carousel_item:nth-of-type(3) img {
  --marquee-item-index: 3;
}

.carousel_list .carousel_item:nth-of-type(4) img {
  --marquee-item-index: 4;
}

.carousel_list .carousel_item:nth-of-type(5) img {
  --marquee-item-index: 5;
}

.carousel_list .carousel_item:nth-of-type(6) img {
  --marquee-item-index: 6;
}

@keyframes go {
  to {
    inset-inline-start: calc(var(--marquee-item-width) * -1);
  }
}
/* .carousel:hover .carousel_item img {
   animation-play-state: paused; 
}*/